Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_timeprobe_t Class Reference

Time probe record. More...

`#include <Timeprobe.h>`

Collaboration diagram for ACE_timeprobe_t:

[legend]
List of all members.

## Public Types
enum | event_type { NUMBER, STRING }
| Type of event. More...
## Public Attributes
event | event_
| Event.
event_type | event_type_
| Type of event.
ACE_hrtime_t | time_
| Timestamp.
ACE_thread_t | thread_
| Id of thread posting the time probe.

## Detailed Description

Time probe record.

## Member Enumeration Documentation

enum ACE_timeprobe_t::event_type

  | Type of event. Enumeration values:
  NUMBER |
  STRING |

## Member Data Documentation

event ACE_timeprobe_t::event_

| Event.

event_type ACE_timeprobe_t::event_type_

| Type of event.

ACE_thread_t ACE_timeprobe_t::thread_

| Id of thread posting the time probe.

ACE_hrtime_t ACE_timeprobe_t::time_

| Timestamp.

The documentation for this class was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Timeprobe.h